Page MenuHomePhabricator

D4862.diff
No OneTemporary

D4862.diff

diff --git a/scripts/install_nix.sh b/scripts/install_nix.sh
--- a/scripts/install_nix.sh
+++ b/scripts/install_nix.sh
@@ -21,14 +21,6 @@
ADMIN_GROUP="@wheel @sudo"
fi
-# Ask user if they would like to use Powerline for bash prompt
-SCRIPT_DIR=$(cd "$(dirname "$0")" || true; pwd -P)
-# Build the nixified script which is aware of Powerline and dependencies
-nix build "$SCRIPT_DIR"/..#better-prompt
-# Source file to apply Powerline bootstrap logic
-# shellcheck source=/dev/null
-. "$(nix eval --raw "$SCRIPT_DIR"'/..#better-prompt.outPath')/bin/better-prompt"
-
# Jobs = The number of different nix packages able to be built at the same time
# Cores = How many cores an individual job may use. This value is
# assigned to $NIX_BUILD_CORES within a nix build environment.
@@ -56,3 +48,11 @@
"experimental-features" "flakes nix-command"
add_if_missing_in_nix_conf "cores" "${cores}"
add_if_missing_in_nix_conf "max-jobs" "${jobs}"
+
+# Ask user if they would like to use Powerline for bash prompt
+SCRIPT_DIR=$(cd "$(dirname "$0")" || true; pwd -P)
+# Build the nixified script which is aware of Powerline and dependencies
+nix build "$SCRIPT_DIR"'/..#better-prompt'
+# Source file to apply Powerline bootstrap logic
+# shellcheck source=/dev/null
+. "$(nix eval --raw "$SCRIPT_DIR"'/..#better-prompt.outPath')/bin/better-prompt"

File Metadata

Mime Type
text/plain
Expires
Tue, Nov 26, 3:39 PM (21 h, 10 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2585371
Default Alt Text
D4862.diff (1 KB)

Event Timeline